Bug 222742 - net-mgmt/collectd5 will use python3 if present at configure-time
Summary: net-mgmt/collectd5 will use python3 if present at configure-time
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Thomas Zander
URL:
Keywords: easy, patch-ready
Depends on:
Blocks:
 
Reported: 2017-10-02 23:08 UTC by Mikhail T.
Modified: 2017-11-25 14:39 UTC (History)
2 users (show)

See Also:
ports: maintainer-feedback+


Attachments
Pass the correct python-configure script to configure (520 bytes, patch)
2017-10-02 23:08 UTC, Mikhail T.
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mikhail T. 2017-10-02 23:08:49 UTC
Created attachment 186868 [details]
Pass the correct python-configure script to configure

Although the port states python:2, the collectd's configure will use python3-configure, if found during configuration time.

The patch solves both problem -- removes the explicit setting of version 2 (people trying to use python-3 ought to be able to) and passes the additional variable to configure to explicitly specify, which python-configure script to use.

There is no need for PORTREVISION bump, because the change does not affect default settings.
Comment 1 Krzysztof 2017-10-03 03:47:51 UTC
OK, I approve this patch. I've checked collectd documentation that python 2.6 is minimum (we have python 2.7 in ports tree).
Comment 2 commit-hook freebsd_committer 2017-11-25 14:11:49 UTC
A commit references this bug:

Author: riggs
Date: Sat Nov 25 14:10:44 UTC 2017
New revision: 454882
URL: https://svnweb.freebsd.org/changeset/ports/454882

Log:
  Allow collectd to use python3 if optional python support is activated

  PR:		222742
  Submitted by:	mi@ALDAN.algebra.com
  Approved by:	ports@bsdserwis.com (maintainer)
  MFH:		2017Q4 (ports-secteam fix blanket)

Changes:
  head/net-mgmt/collectd5/Makefile
Comment 3 commit-hook freebsd_committer 2017-11-25 14:37:12 UTC
A commit references this bug:

Author: riggs
Date: Sat Nov 25 14:36:10 UTC 2017
New revision: 454885
URL: https://svnweb.freebsd.org/changeset/ports/454885

Log:
  MFH: r454882

  Allow collectd to use python3 if optional python support is activated

  PR:		222742
  Submitted by:	mi@ALDAN.algebra.com
  Approved by:	ports-secteam (fix blanket) ports@bsdserwis.com (maintainer)

Changes:
_U  branches/2017Q4/
  branches/2017Q4/net-mgmt/collectd5/Makefile